Skip to main content
`Ctrl`+`K`

# DMForestGetGradeFactor

Get the desired amount of grading in the mesh, e.g. give 2 to indicate that the diameter of neighboring cells should differ by at most a factor of 2. Subtypes of `DMFOREST` may only support one particular choice of grading factor.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetGradeFactor(DM dm, PetscInt *grade)

Not Collective

## Input Parameter

- dm - the forest

## Output Parameter

- grade - the grading factor

## See Also

`DM`, `DMFOREST`, `DMForestSetGradeFactor()`

## Level

advanced

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages